Valorant API Unofficial docs
GET

Custom Game Configs

Get information about the available gamemodes, maps, queues, and gamepods

Internal name Party_FetchCustomGameConfigs Server GLZ · region + shard Auth Bearer + Entitlements
GET https://glz-{region}-1.{shard}.a.pvp.net/parties/v1/parties/customgameconfigs
Try this request in the browser with your own values

Headers

X-Riot-ClientPlatform string required
Value {client platform}— Base64-encoded client platform JSON
X-Riot-ClientVersion string required
Value {client version}— The current Valorant client version
X-Riot-Entitlements-JWT string required
Value {entitlement token}— From the Entitlements Token or Entitlement endpoint
Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

region enum required

na, latam, br, eu, ap or kr.

nalatambreuapkr
How to get it

There are 6 regions:

Region ID Region Name
na North America
latam Latin America
br Brazil
eu Europe
ap Asia Pacific
kr Korea
Obtaining locally:

The region can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

Use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

shard enum required

na, pbe, eu, ap or kr: depends on where the account was created.

napbeeuapkr
How to get it

The shard is dependent on where the Riot account was created.
There are 5 shards:

Shard Region(s)
na latam, br, na
pbe na
eu eu
ap ap
kr kr
Obtaining locally:

The shard can be found in the ShooterGame log (%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log ) when it's used in an endpoint url.
Example regex capturing region and shard: https://glz-(.+?)-1.(.+?).a.pvp.net

Obtaining remotely:

The shard can be found from using a lookup table with the region. To find the region, use the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth

Other variables

client platform Base64-encoded client platform JSON.
Details

A string representing the platform of the client. Base-64 encoded JSON with the following fields:

{
    "platformType": "PC",
    "platformOS": "Windows",
    "platformOSVersion": "10.0.26200.1.256.64bit",
    "platformChipset": "Unknown"
}
ewoJInBsYXRmb3JtVHlwZSI6ICJQQyIsCgkicGxhdGZvcm1PUyI6ICJXaW5kb3dzIiwKCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjI2MjAwLjEuMjU2LjY0Yml0IiwKCSJwbGF0Zm9ybUNoaXBzZXQiOiAiVW5rbm93biIKfQ== is a value that works.

client version The current Valorant client version.
Details

The version of the Valorant client. This can be obtained in a number of ways:

  • Parsing the ShooterGame log at %LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log
  • Using the Sessions endpoint
  • Using the third-party RadiantConnect version endpoint (data.riot_client_version )
  • Using the third-party Versions endpoint
Sessions
entitlement token From the Entitlements Token or Entitlement endpoint.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint
Entitlements Token
auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

Enabled boolean
EnabledMaps array[string]
EnabledModes array[string]
Queues array[object]
Show nested attributes Hide nested attributes 55
QueueID string

Queue ID

Enabled boolean
DebugOnDemandSweepEnabled boolean
TeamSize number
NumTeams number
MaxPartySize number
MinPartySize number
InvalidPartySizes array[number]
MaxPartySizeHighSkill number
HighSkillTier number
MaxSkillTier number
AllowFullPartyBypassSkillRestrictions boolean
ApplyRRPenaltyToFullParty boolean
AllowFiveStackRestrictions boolean
Mode string
IsRanked boolean
IsTournament boolean
IsPatient boolean
RequireRoster boolean
Priority number
PartyMaxCompetitiveTierRange number
PartyMaxCompetitiveTierRangePlacementBuffer number
FullPartyMaxCompetitiveTierRange number
PartySkillDisparityCompetitiveTiersCeilings array[any] | record<string, number>
PartySkillDisparityPartySizeCompetitiveTiersCeilings array[any] | record<string, record<string, number>>
NewMap string
NewMapEndTime string
NewMapLossReductionModifier number
SharedAccountsRequireVerificationEnabled boolean
HighRankRequireVerificationEnabled boolean
RequireVerificationEnabled boolean
UseAccountLevelRequirement boolean
MinimumAccountLevelRequired number
GameRules record<string, string>
SupportedPlatformTypes array[literal]
DisabledContent array[any]
DebugLoadoutAllowedContentWhenSkippingPregameEnabled boolean
DebugLoadoutAllowedContentWhenSkippingPregame array[any]
queueFieldA array[any]
NextScheduleChangeSeconds number
TimeUntilNextScheduleChangeSeconds number
MapWeights array[string]

Array of strings in the format of "map:weight"

MapPool array[string]
TeamSizeWithBots number
EnableMultiteamSupport boolean
MatchFillerMarsPartySizeBonus number
MatchFillerMarsAllowPartialTeams boolean
MatchFillerMarsMinTeams number
MatchFillerMarsMaxTeams number
MatchFillerMarsTeamAnchorStrategy string
MatchFillerMarsLowerTeamCount number
MatchFillerMarsLowerTeamCountMMR number
MatchFillerMarsUpperTeamCount number
MatchFillerMarsUpperTeamCountMMR number
queueFieldB boolean
GamePodPingServiceInfo record<string, object>
Show nested attributes Hide nested attributes 4
SecurityHash number
ObfuscatedIP number
PingProxyAddress string
PingProxyAddresses array[string]